
# Copyright (C) Johan Ceuppens 2010-2014

# Copyright (C) Johan Ceuppens 2009 
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.


from entitytemplate import *
from singlebullet import *
#from doublebullet import *
from triplebullet import *

class EntityFactory:
    
    def makebullet(self, entityType, startx,starty):
        classByType = {
            EntityTemplate.ENTITY_BULLET_SINGLE : SingleBullet,
            EntityTemplate.ENTITY_BULLET_DOUBLE : SingleBullet,
            EntityTemplate.ENTITY_BULLET_TRIPLE : TripleBullet,
        }
        return classByType[entityType](startx, starty)

    def makeupgrade(self, entityType, startx,starty):
        classByType = {
            EntityTemplate.ENTITY_UPGRADE_SINGLE : SingleUpgrade,
            EntityTemplate.ENTITY_UPGRADE_TRIPLE : TripleUpgrade,
        }
        return classByType[entityType](startx, starty)


